org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.ClusterStatus

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.ClusterStatus

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.ClusterStatus
      extends CollectionAdminRequest<CollectionAdminResponse>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `collection`
    `protected String` | `routeKey`
    `protected String` | `shardName`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CollectionAdminResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `String` | `getCollectionName()`
    `SolrParams` | `getParams()`
    `String` | `getRouteKey()`
    `String` | `getShardName()`
    `CollectionAdminRequest.ClusterStatus` | `setCollectionName(String collectionName)`
    `CollectionAdminRequest.ClusterStatus` | `setRouteKey(String routeKey)`
    `CollectionAdminRequest.ClusterStatus` | `setShardName(String shard)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shardName

          protected String shardName

    - #### collection

          protected String collection

    - #### routeKey

          protected String routeKey

  - ### Constructor Detail

    - #### ClusterStatus

          public ClusterStatus()

  - ### Method Detail

    - #### setCollectionName

          public CollectionAdminRequest.ClusterStatus setCollectionName(String collectionName)

    - #### getCollectionName

          public String getCollectionName()

    - #### setShardName

          public CollectionAdminRequest.ClusterStatus setShardName(String shard)

    - #### getShardName

          public String getShardName()

    - #### getRouteKey

          public String getRouteKey()

    - #### setRouteKey

          public CollectionAdminRequest.ClusterStatus setRouteKey(String routeKey)

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest<CollectionAdminResponse>`

    - #### createResponse

          protected CollectionAdminResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<CollectionAdminResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.